Bug 1264955 - [Director] After introducing external LB feature additional documentation needed regarding how to to noop the VIP creation which is driven by a specific resource.
[Director] After introducing external LB feature additional documentation nee...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity high
: y1
: 7.0 (Kilo)
Assigned To: Dan Macpherson
: Documentation
Depends On:
Blocks: 1244032
  Show dependency treegraph
 
Reported: 2015-09-21 13:46 EDT by Leonid Natapov
Modified: 2017-06-18 21:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-18 21:55:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Natapov 2015-09-21 13:46:49 EDT
[Director] After introducing external LB feature additional documentation needed regarding how to to noop the VIP creation  which is driven by a specific resource.

Before introducing External LB feature  we needed to noop network and port only. Now it's network, port and vip.

If one  wants to noop a network in which case now to do that one has to noop the VIP creation as well, which is driven by a specific resource.
Comment 2 Andrew Dahms 2015-09-23 19:03:13 EDT
Assigning to Dan for review.
Comment 3 Giulio Fidente 2015-10-14 11:46:58 EDT
To be clear, the additional lines which noop one or multiple VIPs are only needed when one intends to deploy in network isolation and without one or more of the isolated networks.

For example, when deploying in network isolation and without the Storage and StorageMgmt networks, then the VIPs on those two need to be nooped; to do so, one should add the following two into his network customization YAML:

resource_registry:
  OS::TripleO::Network::Ports::StorageVipPort: network/ports/noop.yaml
  OS::TripleO::Network::Ports::StorageMgmtVipPort: network/ports/noop.yaml
Comment 4 Dan Macpherson 2017-06-18 21:55:09 EDT
This is pretty much covered in "Selecting Networks to Deploy" in the Advanced Overcloud Guide:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/11/html/advanced_overcloud_customization/sect-isolating_networks#sect-Selecting_Networks_to_Deploy

Closing BZ.

Note You need to log in before you can comment on or make changes to this bug.